> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hanko.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Well-known JWKS

> Endpoint for fetching JWKS



## OpenAPI

````yaml openapi-passkeys get /{tenant_id}/.well-known/jwks.json
openapi: 3.1.0
info:
  version: '1.2'
  title: passkey-server
  description: >-
    This API shall represent the private and public endpoints for passkey
    registration, management and authentication
  termsOfService: https://www.hanko.io/terms
  contact:
    email: developers@hanko.io
    url: https://www.hanko.io
    name: Hanko Dev Team
  license:
    url: https://www.gnu.org/licenses/gpl-3.0.de.html
    name: GPLv3
servers:
  - url: https://passkeys.hanko.io
security: []
tags:
  - name: credentials
    description: Represents all objects which are related to WebAuthn credentials
  - name: mfa
    description: Represents all objects which are related to MFA in common
  - name: webauthn
    description: Represents all objects which are related to WebAuthn in common
  - name: audit_logs
    description: Represents all objects which are related to audit logs
paths:
  /{tenant_id}/.well-known/jwks.json:
    get:
      tags:
        - credentials
        - webauthn
      summary: Well-known JWKS
      description: Endpoint for fetching JWKS
      operationId: get-.well-known-jwks.json
      parameters:
        - $ref: '#/components/parameters/tenant_id'
      responses:
        '200':
          $ref: '#/components/responses/jwks'
      servers:
        - url: https://passkeys.hanko.io
components:
  parameters:
    tenant_id:
      name: tenant_id
      in: path
      description: UUID of the tenant
      required: true
      schema:
        type: string
        format: uuid
        minLength: 36
        maxLength: 36
        example:
          - 1f496bcd-49da-4839-a02f-7ce681ccb488
  responses:
    jwks:
      description: Example response
      content:
        application/json:
          schema:
            type: object
            properties:
              keys:
                type: array
                minItems: 1
                uniqueItems: true
                items:
                  type: object
                  additionalProperties: false
                  properties:
                    alg:
                      type: string
                      readOnly: true
                      example:
                        - RS256
                    e:
                      type: string
                      readOnly: true
                      example:
                        - AAAA
                    kid:
                      type: string
                      format: uuid
                      readOnly: true
                      example:
                        - 483b2499-1ed7-4325-94e3-97e8118ceee9
                    kty:
                      type: string
                      readOnly: true
                      example:
                        - RSA
                    'n':
                      type: string
                      readOnly: true
                    use:
                      type: string
                      readOnly: true
                      example:
                        - sig
                  minProperties: 6
            minProperties: 1

````